summaryrefslogtreecommitdiff
path: root/tests/cp/cp-deref
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-02-04 09:37:32 +0000
committerJim Meyering <jim@meyering.net>2006-02-04 09:37:32 +0000
commitc11d87154af0174dd8441592914b7e3641d451f2 (patch)
treea930a9ea711d562f552fcbe76c9d41367894f6be /tests/cp/cp-deref
parent20d6e394febffdfb59dd92d54818a16178fd8a47 (diff)
downloadcoreutils-c11d87154af0174dd8441592914b7e3641d451f2.tar.xz
New file. Test for today's fix.
Diffstat (limited to 'tests/cp/cp-deref')
-rwxr-xr-xtests/cp/cp-deref33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/cp/cp-deref b/tests/cp/cp-deref
new file mode 100755
index 000000000..9cd130c13
--- /dev/null
+++ b/tests/cp/cp-deref
@@ -0,0 +1,33 @@
+#!/bin/sh
+# cp -RL d1 d2' must handle the case in which d1 and d2 both contain
+# a symlink pointing to some third directory.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ cp --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir a b c d || framework_failure=1
+ln -s ../c a || framework_failure=1
+ln -s ../c b || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+cp -RL a b d || fail=1
+test -d a/c || fail=1
+test -d b/c || fail=1
+
+(exit $fail); exit $fail